TF_SignerImpl< SCHEME_OPTIONS > Class Template Reference

Trapdoor Function (TF) encryptor options. More...

`#include <pubkey.h>`

Inheritance diagram for TF_SignerImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from TF_ObjectImpl< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
typedef SCHEME_OPTIONS::PrivateKey | KeyClass
Public Types inherited from TF_ObjectImplBase< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
typedef SCHEME_OPTIONS | SchemeOptions
typedef SCHEME_OPTIONS::PrivateKey | KeyClass
Public Member Functions inherited from TF_ObjectImpl< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< TF_SignerBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PrivateKey >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< TF_SignerBase, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
| The algorithm name.
Public Member Functions inherited from TF_SignerBase
void | InputRecoverableMessage (PK_MessageAccumulator &messageAccumulator, const byte *recoverableMessage, size_t recoverableMessageLength) const
| Input a recoverable message to an accumulator.
size_t | SignAndRestart (RandomNumberGenerator &rng, PK_MessageAccumulator &messageAccumulator, byte *signature, bool restart=true) const
| Sign and restart messageAccumulator.
Public Member Functions inherited from TF_SignatureSchemeBase< PK_Signer, TF_Base< RandomizedTrapdoorFunctionInverse, PK_SignatureMessageEncodingMethod > >
size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const
Public Member Functions inherited from PK_Signer
virtual size_t | Sign (RandomNumberGenerator &rng, PK_MessageAccumulator *messageAccumulator, byte *signature) const
| Sign and delete the messageAccumulator.
virtual size_t | SignMessage (RandomNumberGenerator &rng, const byte *message, size_t messageLen, byte *signature) const
| Sign a message.
virtual size_t | SignMessageWithRecovery (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *nonrecoverableMessage, size_t nonrecoverableMessageLength, byte *signature) const
| Sign a recoverable message.
Public Member Functions inherited from PK_SignatureScheme
virtual size_t | MaxSignatureLength (size_t recoverablePartLength=0) const
| Provides the maximum signature length produced given the length of the recoverable message part.
virtual bool | SignatureUpfront () const
| Determines whether the signature must be input before the message.
Public Member Functions inherited from PrivateKeyAlgorithm
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Private Key.
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Private Key.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.
Static Public Member Functions inherited from AlgorithmImpl< TF_SignerBase, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class SCHEME_OPTIONS>
class TF_SignerImpl< SCHEME_OPTIONS >

Trapdoor Function (TF) encryptor options.

Template Parameters

  SCHEME_OPTIONS | scheme options class

Definition at line 671 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h